## gate.gui
Class DocumentEditor.DumpAsXmlAction

    java.lang.Object
      |
      +--javax.swing.AbstractAction
            |
            +--gate.gui.DocumentEditor.DumpAsXmlAction

All Implemented Interfaces:
  Action, ActionListener, Cloneable, EventListener, Serializable

Enclosing class:
  DocumentEditor

protected class DocumentEditor.DumpAsXmlAction
extends AbstractAction

The action that is fired when the user wants to edit an annotation. This will show a `gate.gui.AnnotationEditDialog` to allow the user to do the editing.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.AbstractAction
`AbstractAction.ArrayTable`

Field Summary
`private Set` `annotationsToDump`

Fields inherited from class javax.swing.AbstractAction
`arrayTable, changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`DocumentEditor.DumpAsXmlAction()` Constructs an DumpAsXmlAction from an annotation and a set

Method Summary
`void` `actionPerformed(ActionEvent e)` This method takes care of how the dumping is done
`private void` `constructAnnotationsToDump()` This method constructs a set containing all annotation that user wants to dump as XML

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getValue, isEnabled, putValue, readObject, removePropertyChangeListener, setEnabled, writeObject`

Methods inherited from class java.lang.Object
`<clinit>, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### annotationsToDump

    private Set annotationsToDump

Constructor Detail

### DocumentEditor.DumpAsXmlAction

    public DocumentEditor.DumpAsXmlAction()

  Constructs an DumpAsXmlAction from an annotation and a set

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  This method takes care of how the dumping is done
  Overrides:
    `actionPerformed` in class `AbstractAction`

### constructAnnotationsToDump

    private void constructAnnotationsToDump()

  This method constructs a set containing all annotation that user wants to dump as XML